Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro	(revision 226)
@@ -43,12 +43,12 @@
 ; 1) I reinitializate the graphic environment (variables !x, !y et !p):
   if NOT keyword_set(NOREINITPLT) then reinitplt, _extra = ex
-; 2) i put the drawing on the screen like on the postcript
+; 2) i put the drawing on the screen like on the postscript
 ; if ex contains norease and c_orientation keywords we force ex.noerase = 0
   IF chkstru(ex, 'overplot') EQ 0 THEN placedessin, 'autre', _extra = ex
-; fiddle when noerase is used with c_orentation...
+; fiddle when noerase is used with c_orientation...
 ; call contour with /nodata to get the graphic environment, then force
 ; noerase = 0 and overplot = 1
   IF size(ex, /type) EQ 8 THEN BEGIN
-; check if noerase is used with c_orentation
+; check if noerase is used with c_orientation
     alltags = strlowcase(tag_names(ex))
     dummy = where(alltags EQ 'noerase', count1)
@@ -71,5 +71,5 @@
     3:contour, x, y, z, xstyle = 1, ystyle = 1, _EXTRA = ex
   ENDCASE
-; fiddle when noerase is used with c_orentation... draw the contour axis
+; fiddle when noerase is used with c_orientation... draw the contour axis
   IF keyword_set(noerase_orientation)  THEN BEGIN
     ex.noerase = 1
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro	(revision 226)
@@ -47,5 +47,5 @@
 ; 1) I reinitializate the graphic environment (les variables !x, !y et !p):
    if NOT keyword_set(NOREINITPLT) then reinitplt, _extra = ex
-; 2) i put the drawing on the screen like on the postcript
+; 2) i put the drawing on the screen like on the postscript
    placedessin, 'autre', _extra = ex
 ; 3) Drawing
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro	(revision 226)
@@ -7,7 +7,5 @@
 ; Enhanced version of tvscl
 ;
-; @categories quick exploration of 2D arrays 
-;
-; INPUTS: 
+; @categories quick exploration of 2D arrays
 ;
 ; @param Z2D {in}{required}
@@ -21,5 +19,5 @@
 ; of cellsize that forces tvplus to create a window larger than
 ; the screen, a "scrolling window" will be displayed instead of a
-; regular window. Unfortunately the nice functionnalities of tvplus
+; regular window. Unfortunately the nice functionalities of tvplus
 ; are not coded for "scrolling window" case...
 ;
@@ -33,10 +31,10 @@
 ; The color number that should be used for the mask values.
 ;
-; @keyword OFFSET 
+; @keyword OFFSET
 ; 2 elements vector used by tvplus itself when showing zoom.
 ; It is used to shift the ranges of xaxis and yaxis.
-; For example: tvplus,sst[x1:x2,y1:y2],offest=[x1,y1]
-;
-; @keyword MASK 
+; For example: tvplus,sst[x1:x2,y1:y2],offset=[x1,y1]
+;
+; @keyword MASK
 ; The mask value. Note that if abs(mask) < 1.e6, then the
 ; exact value of the mask is used to find the maskwd point.
@@ -67,6 +65,6 @@
 ; @keyword _EXTRA
 ; used to pass keywords to TV, PLOT, COLORBAR
-; 
-; @restrictions 
+;
+; @restrictions
 ; use your mouse to scan the array values...
 ;     left button  : mouse position and associated array value
@@ -74,5 +72,5 @@
 ;     right button : quit
 ;
-; the nice functionnalities of tvplus are not coded
+; the nice functionalities of tvplus are not coded
 ; for "scrolling window" case...
 ;
@@ -102,5 +100,5 @@
   arr = reform(float(z2d))
 ;------------------------------------------------------------
-; check the size of the input array 
+; check the size of the input array
 ;------------------------------------------------------------
   if (size(arr))[0] NE 2 then begin
@@ -130,10 +128,10 @@
 ;------------------------------------------------------------
 ; Compute the size (in pixel) of the square representing 1
-; point of the input array 
+; point of the input array
 ;------------------------------------------------------------
   dimensions = GET_SCREEN_SIZE()
-  if n_elements(cellsize) EQ 0 then BEGIN 
+  if n_elements(cellsize) EQ 0 then BEGIN
     cellsize = min(floor(dimensions/(size(z2d))[1: 2]*.75))
-  ENDIF ELSE $ 
+  ENDIF ELSE $
 ; we need to use a scrolling bar window
   if cellsize GE min(floor(dimensions/(size(z2d))[1: 2]*.75)) then scrolling = 1
@@ -145,9 +143,9 @@
 ; Change the value of the masked value for the min of the non-masked values
 ;------------------------------------------------------------
-  if n_elements(mask) then BEGIN 
-    if abs(mask) LT 1e6 then BEGIN 
+  if n_elements(mask) then BEGIN
+    if abs(mask) LT 1e6 then BEGIN
       masked = where(arr EQ mask)
       if masked[0] NE -1 then arr[masked] = min(arr[where(arr NE mask)])
-    ENDIF ELSE BEGIN 
+    ENDIF ELSE BEGIN
       masked = where(abs(arr) GE abs(mask)/10.)
       if masked[0] NE -1 then arr[masked] = min(arr[where(abs(arr) LT abs(mask)/10.)])
@@ -157,9 +155,9 @@
 ; apply min/max keywords
 ;------------------------------------------------------------
-  if n_elements(min) NE 0 then BEGIN 
+  if n_elements(min) NE 0 then BEGIN
     arr = min > arr
     truemin = min
   ENDIF ELSE truemin = min(arr)
-  if n_elements(max) NE 0 then BEGIN 
+  if n_elements(max) NE 0 then BEGIN
     arr = arr < max
     truemax = max
@@ -171,5 +169,5 @@
   ENDIF
 ;------------------------------------------------------------
-; apply other keywords (nointerp, c_nan, c_mask) 
+; apply other keywords (nointerp, c_nan, c_mask)
 ;------------------------------------------------------------
   if NOT keyword_set(nointerp) then BEGIN
@@ -177,7 +175,7 @@
     m = 1.*(ncolors-1)/(truemax-truemin)
     p = bottom-1.*truemin*m
-    arr = round(m*temporary(arr)+p) 
-  endif
-; set c_nan for NaN values 
+    arr = round(m*temporary(arr)+p)
+  endif
+; set c_nan for NaN values
   if keyword_set(nan) then begin
     if n_elements(c_nan) NE 0 THEN arr[nanindex] = c_nan <  (ncolmax -1) $
@@ -190,5 +188,5 @@
   arr = byte(temporary(arr))
 ; increase the size of the array in order to be displayed
-; with the suitable size 
+; with the suitable size
   szarr = size(arr, /dimensions)
   arr = congrid(temporary(arr), szarr[0]*cellsize, szarr[1]*cellsize)
@@ -205,5 +203,5 @@
     if NOT keyword_set(window) then window = 0
     window, window, xsize = nx+marginpix[0]+marginpix[1] $
-            , ysize = ny+marginpix[2]+marginpix[3] 
+            , ysize = ny+marginpix[2]+marginpix[3]
 ; for 24 bits colors, make sure thate the background color is the good one...
     if !d.n_colors gt 256 then BEGIN
@@ -215,5 +213,5 @@
     tv, arr, marginpix[0], marginpix[2], _EXTRA = ex
 ;
-; axis and plot frame 
+; axis and plot frame
 ;
 ; get the normalized position of the tv (we just done above)
@@ -233,5 +231,5 @@
     xenvsauve = !x & yenvsauve = !y & penvsauve = !p
 ;
-; draw the colorbar 
+; draw the colorbar
 ;
     IF truemin ne truemax THEN BEGIN
@@ -244,5 +242,5 @@
     ENDIF
 ;      !p.position = poscadre
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
 ;------------------------------------------------------------
 ; scrolling bar window case...
@@ -261,5 +259,5 @@
                  , yvisible = round(.7*dimensions[1]) < (size(arr))[2], /register, congrid = 0, show_full = 0
     return
-  ENDELSE 
+  ENDELSE
 ;------------------------------------------------------------
 ; Use the mouse to get nice functionalities
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/barrecouleur.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/barrecouleur.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/barrecouleur.pro	(revision 226)
@@ -5,5 +5,5 @@
 ;
 ; @file_comments
-; Overlayeur of colorbar
+; Overlayer of colorbar
 ;
 ; @categories
@@ -23,14 +23,14 @@
 ;
 ; @keyword NOCOLORBAR
-; 
+;
 ;
 ; @keyword CB_TITLE
-; 
+;
 ;
 ; @keyword NOFILL
-; 
+;
 ;
 ; @keyword COLOR_c
-; 
+;
 ;
 ; @keyword MIN
@@ -41,11 +41,11 @@
 ;
 ; @keyword DIVISIONS
-; 
+;
 ;
 ; @keyword CB_SUBTITLE
-; 
+;
 ;
 ; @keyword POST
-; 
+;
 ;
 ; @keyword _EXTRA
@@ -84,5 +84,5 @@
   if keyword_set(divisions) THEN  clbdiv = divisions
   nocolorbar = keyword_set(nocolorbar) + keyword_set(nofill) $
-               + keyword_set(color_c)  
+               + keyword_set(color_c)
 ;------------------------------------------------------------
     def_myuniquetmpdir
@@ -99,5 +99,5 @@
    ENDELSE
 ;------------------------------------------------------------
-   if keyword_set(nocolorbar) then return 
+   if keyword_set(nocolorbar) then return
 ;------------------------------------------------------------
    ancienx = !x
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro	(revision 226)
@@ -4,8 +4,8 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; Putting into place of the drawing/ opening of the window or of the PS
 ;
-; @categories 
+; @categories
 ; Utilities
 ;
@@ -13,20 +13,20 @@
 ; It specify what procedure is called by PLACEDESSIN: 'plt', 'pltz' or 'pltt'
 ;
-; @keyword LANDSCAPE 
+; @keyword LANDSCAPE
 ; Force the page or the window on the screen to be in lengthened position.
 ;
 ; @keyword LCT {type=integer}
-; It designate the number of the palette of color we want to use for the plot. 
+; It designate the number of the palette of color we want to use for the plot.
 ;	
-; @keyword MAP 
+; @keyword MAP
 ; We use it when we want to do a projection.
 ; This keyword can be of two types:
 ;     MAP=[P0lat,P0lon,Rot]. For the description of these 3 values (see the online help of MAP_SET).
-;     /MAP: In this case, map is automatically calculated have the value: 
+;     /MAP: In this case, map is automatically calculated have the value:
 ;          map = [0, (lon1+lon2)/2., 0]
 ; Comment: A good way to choose the type of the projection we want to do is to have a look at IDL demo:
 ; IDL> demo
 ; Then choose earth sciences and  mapping.
-; Comment2: By default it is a cylindrical projection which is effectuated (with or without the keyword map). 
+; Comment2: By default it is a cylindrical projection which is effectuated (with or without the keyword map).
 ; If we want an other projection, MAP must be activated and we have to add the keyword: /nom_projection.
 ; For example, for a polar projection centered on the south pole:
@@ -34,53 +34,53 @@
 ; IDL> plt, tab, /stereo,map=[-90,0,0]
 ;	
-; @keyword NOCOLORBAR 
+; @keyword NOCOLORBAR
 ; We active it if we do not want the colorbar.
 
-;; @keyword NOFILL 
+;; @keyword NOFILL
 ; We active it if we only want contours in black and white with a white background.
 ;
-; @keyword NOERASE 
+; @keyword NOERASE
 ; We active it to make a drawing without creating a new frame.
 ;
-; @keyword SMALL 
-; Vector composed of 3 or 4 elements, applied to make a drawing on a 
+; @keyword SMALL
+; Vector composed of 3 or 4 elements, applied to make a drawing on a
 ; small portion of a page or screen. It delimit the zone where the drawing will be done.
 ;     If there is 4 elements:
-; then is constituted of coordinates (expressed in cm located from the up and 
-; left corner of the page or the window (in portrait like in landscape)) of the bottom 
+; then is constituted of coordinates (expressed in cm located from the up and
+; left corner of the page or the window (in portrait like in landscape)) of the bottom
 ; and left corner and of the up and right corner of the drawing zone.
 ;     If there is 3 elements:
-; in this case, we divide the page or the screen in small[0] columns and in small[1] lines 
-; the drawing made in the box numbered small[2]. The numerotation starting up and left by 
+; in this case, we divide the page or the screen in small[0] columns and in small[1] lines
+; the drawing made in the box numbered small[2]. The numerotation starting up and left by
 ; the number 1 and then, following the writing direction.
-; By default, we make the largest drawing we can do, conserving the aspect rapport 
+; By default, we make the largest drawing we can do, conserving the aspect rapport
 ; (except when REMPLI is activated).
-; 
-; @keyword PORTRAIT 
+;
+; @keyword PORTRAIT
 ; Force the page or the window to be in standing position.
 ;
-; @keyword POST 
+; @keyword POST
 ; Make a postscript. Only works if we made one drawing on the page.
 ; If we make several drawing, use \@ps.
 ;
-; @keyword REMPLI 
+; @keyword REMPLI
 ; Force the drawing to occupy the whole space defined by small.
 ;
-; @keyword WINDOW 
-; Number of the window on which we want to do the graph (Allow to open several windows). 
+; @keyword WINDOW
+; Number of the window on which we want to do the graph (Allow to open several windows).
 ; By default, we open 'IDL0'
 ;
-; @keyword CB_TITLE 
+; @keyword CB_TITLE
 ; The colorbar's title
 ;
-; @keyword CONTOUR 
-; If we want to trace contours of a different field than the one 
-; whose we have the colored drawing (by example E-P in color and QSR in contours). 
+; @keyword CONTOUR
+; If we want to trace contours of a different field than the one
+; whose we have the colored drawing (by example E-P in color and QSR in contours).
 ; It must be a field respecting same characteristics than the argument number one of plt.
 ;
-; @keyword ENDPOINTS 
-; keyword specifying that we want to make a vertical cut in diagonal. Then coordinated of extremities 
-; of these one are defined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are 
-; coordinates. 
+; @keyword ENDPOINTS
+; keyword specifying that we want to make a vertical cut in diagonal. Then coordinated of extremities
+; of these one are defined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are
+; coordinates.
 ;
 ; @keyword VECTEUR {type=vector}
@@ -94,21 +94,21 @@
 ; @keyword DIREC
 ; 't' 'x' 'y' 'z' 'xys' 'xz' 'yz' 'xyz' 'xt' 'yt' 'zt' 'xyt'
-;       'xzt' 'yzt' 'xyzt' Direction on which do averages 
+;       'xzt' 'yzt' 'xyzt' Direction on which do averages
 ;
 ; @keyword _EXTRA
 ; Used to pass your keywords.
 ;
-; @keyword COLOR_C 
+; @keyword COLOR_C
 ; To draw the contour in color instead of in black
-; with filling in color 
+; with filling in color
 ;
 ; @param POSFENETRE {out}{type=vector}
-; It is a vector composed by 4 elements containing the position of the frame 
-; containing captions and the graph in normalized coordinates. 
-; Comment: To position the drawing; we have to do !p.position=posfenetre 
+; It is a vector composed by 4 elements containing the position of the frame
+; containing captions and the graph in normalized coordinates.
+; Comment: To position the drawing; we have to do !p.position=posfenetre
 ; after the call of the caliber
 ;
 ; @param POSBAR {out}{type=vector}
-; Like POSFENETRE but for the color bar. 
+; Like POSFENETRE but for the color bar.
 ; Same comment to position the color bar, !p.position=posbar
 ;
@@ -148,5 +148,5 @@
 ; 1) Determination of the size of margins (unity=number of lines or columns)
 ; to the left, to the right, up and down.
-; BEWARE in margebar, the last element is the right up corner 
+; BEWARE in margebar, the last element is the right up corner
 ; instead of the up margin
 ;-------------------------------------------------------------
@@ -157,6 +157,6 @@
     margebar = 1.*[marge[0]+1, marge[1]+1,  marge[2]-8,  marge[2]-6]
     if keyword_set(barmarges) then margebar = margebar+barmarges
-  ENDIF ELSE BEGIN 
-    nocolorbar = keyword_set(nocolorbar) + keyword_set(nofill) + keyword_set(color_c)  
+  ENDIF ELSE BEGIN
+    nocolorbar = keyword_set(nocolorbar) + keyword_set(nofill) + keyword_set(color_c)
     case typedessin of
       'plt':marge = 1.*[6, 2, 4, 3]
@@ -186,5 +186,5 @@
 ; Portrait or landscape
 ;--------------------------------------------------------------
-  IF NOT keyword_set(noerase) THEN BEGIN 
+  IF NOT keyword_set(noerase) THEN BEGIN
     CASE 1 OF
       n_elements(portrait) NE 0:key_portrait = portrait
@@ -192,5 +192,5 @@
       ELSE:
     ENDCASE
-  ENDIF 
+  ENDIF
 ;--------------------------------------------------------------
 ; What type of aspect rapport (it will be crushed if YXASPECT exist)
@@ -218,5 +218,5 @@
 ;------------------------------------------------------------
   case 1 of
-; case of the first drawing on a postcript
+; case of the first drawing on a postscript
     keyword_set(post) AND !d.name ne 'PS':openps, _extra = ex
 ; case of the first drawing on a screen
@@ -236,5 +236,5 @@
       windsize = givewindowsize()
       window, window, xsize = windsize[0], ysize = windsize[1],  retain = 2, _extra = ex
-; When we used colors which are coded on 24bit, we can not stipulate the background color 
+; When we used colors which are coded on 24bit, we can not stipulate the background color
 ; of a window thanks to !p.background, so we have to to this:
 ;          if !d.n_colors gt 256 then begin
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/restoreatt.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/restoreatt.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/restoreatt.pro	(revision 226)
@@ -5,12 +5,12 @@
 ;
 ; @file_comments
-; Allows to reattribuate global variables associated with a field 
+; Allows to reattribute global variables associated with a field
 ; when we give a structure created by saveatt.pro by example.
 ;
-; @categories 
+; @categories
 ; Utilities
 ;
 ; @param STRUCT {in}{required}
-; a structure like the one who read litchamp. 
+; a structure like the one who read litchamp.
 ;        See IDL> xhelp,'litchamp'
 ;
@@ -19,5 +19,5 @@
 ;
 ; @restrictions
-; Change the value if global variables attribute of a field: vargrid, 
+; Change the value if global variables attribute of a field: vargrid,
 ; varname, varunit, vardate, varexp , valmask and time.
 ;
@@ -47,6 +47,6 @@
          'e':varexp = struct.(i)
          'm':valmask = struct.(i)
-         'd':BEGIN 
-            if size(struct.(i),/type) EQ 7 THEN BEGIN 
+         'd':BEGIN
+            if size(struct.(i),/type) EQ 7 THEN BEGIN
                vardate = struct.(i)
             ENDIF ELSE BEGIN
@@ -55,5 +55,5 @@
             ENDELSE
          end
-         ELSE:BEGIN 
+         ELSE:BEGIN
             ras = report('Le nom '+nomelements[i]+' ne correspont a aucun element reconnu de la structure. !C cf. IDL> xhelp, ''litchamp''')
          end
Index: /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro	(revision 226)
@@ -1,23 +1,18 @@
 ;+
-; @file_comments 
-; 
-; 
+; @file_comments
+;
+;
 ; @categories
-; 
-; 
-; @param ANGLE 
-;
+;
+;
+; @param ANGLE
 ;
 ; @returns
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
 ;
-;
 ; @history
-; 
 ;
 ; @version
@@ -29,5 +24,5 @@
 ; by rapport at the x axis and which must do 1 cm on the drawing.
 ; Angle can be an array.
-; 
+;
 ;
 ;
@@ -53,10 +48,10 @@
 ;
 ;+
-; @file_comments 
-; 
-; 
+; @file_comments
+;
+;
 ; @categories
-; 
-; 
+;
+;
 ; @param U
 ;
@@ -64,16 +59,11 @@
 ; @param V
 ;
-;
-; @param W 
-;
+; @param W
 ;
 ; @restrictions
-; 
-; 
+;
 ; @examples
 ;
-;
 ; @history
-; 
 ;
 ; @version
@@ -87,5 +77,5 @@
   compile_opt idl2, strictarrsubs
 ;
-   IF n_elements(w) NE 0 THEN BEGIN 
+   IF n_elements(w) NE 0 THEN BEGIN
       norme = sqrt(u^2.+v^2.+w^2.)
       ind = where(norme NE 0)
@@ -98,5 +88,5 @@
       u[ind] = u[ind]/norme[ind]
       v[ind] = v[ind]/norme[ind]
-   ENDELSE 
+   ENDELSE
 END
 ;------------------------------------------------------------
@@ -111,47 +101,47 @@
 ; and is position on the sphere).
 ;
-; @categories 
+; @categories
 ; Graphics
-; 
+;
 ; @param COMPOSANTEU {in}{required}
-; It is the u component of the vector to be traced. This 2d array has the 
+; It is the u component of the vector to be traced. This 2d array has the
 ; same dimension that reduitindice2d (see further)
-; 
+;
 ; @param COMPOSANTEV {in}{required}
-; It is the v component of the vector to be traced. This 2d array has the 
+; It is the v component of the vector to be traced. This 2d array has the
 ; same dimension that reduitindice2d (see further)
-; 
+;
 ; @param NORMEVECTEUR
 ;
 ;
 ; @param INDICE2D  {in}{required}
-; It in an index allowing to to pass from an jpi or jpj array to the zoom 
+; It in an index allowing to to pass from an jpi or jpj array to the zoom
 ; on which we do the drawing
-; 
+;
 ; @param REDUITINDICE2D {in}{required}
-; It is an index allowing to pass from an array defined by indice2d to the 
-; array for which we really have vectors to be traced (to be clear, it is 
+; It is an index allowing to pass from an array defined by indice2d to the
+; array for which we really have vectors to be traced (to be clear, it is
 ; for example when we trace only one vector on two).
 ;
 ; @keyword CMREF {default=between .5 and 1.5 cm}
-; The length in cm that must measure the arrow normed normeref. By default, 
+; The length in cm that must measure the arrow normed normeref. By default,
 ; it is adjusted to other drawing and included between .5 and 1.5 cm.
 ;
 ; @keyword MISSING
-; The value of a missing value. Do not use this keyword. Fixed at 1e5 by 
+; The value of a missing value. Do not use this keyword. Fixed at 1e5 by
 ; ajoutvect.pro
-;      
-; @keyword NORMEREF 
+;
+; @keyword NORMEREF
 ; The norme of the reference arrow.
 ;
 ; @keyword VECTCOLOR {default=0}
 ; The color of the arrow. Black by default (color 0)
-; 
+;
 ; @keyword VECTTHICK {default=1}
-; The thick of the arrow. 
+; The thick of the arrow.
 ;
 ; @keyword VECTREFPOS
-; Vector composed of 2 elements specifying the position on DATA coordinates 
-; from the beginning of the reference vector. By default at the right bottom 
+; Vector composed of 2 elements specifying the position on DATA coordinates
+; from the beginning of the reference vector. By default at the right bottom
 ; of the drawing.
 ;
@@ -161,9 +151,9 @@
 ; @keyword NOVECTREF
 ; To delete the display of the reference vector.
-; 
+;
 ; @keyword _EXTRA
-; Used to pass your keywords 
-;
-; @uses 
+; Used to pass your keywords
+;
+; @uses
 ; common.pro
 ;
@@ -179,5 +169,5 @@
 ;
 ; @version
-; $Id$ 
+; $Id$
 ;
 ;-
@@ -209,5 +199,5 @@
    msk = replicate(1, nx, ny)
    if keyword_set(missing) then terre = where(abs(zu) GE missing/10) ELSE terre = -1
-   if terre[0] NE -1  then BEGIN 
+   if terre[0] NE -1  then BEGIN
       msk[terre] = 0
       zu[terre] = 0
@@ -216,28 +206,28 @@
    ENDIF
 ;
-; Stage 1: 
-;
-; Given that the directions and the sense that the vector has on the sphere, 
-; we have to try to determinate this direction and the sense that the vector 
+; Stage 1:
+;
+; Given that the directions and the sense that the vector has on the sphere,
+; we have to try to determinate this direction and the sense that the vector
 ; will have on the screen once it will have been projected.
 ;
-; In theory: on the sphere, a vector in a given point has for direction the 
-; tangent at the circle passing by the center of the Earth and by the vector. 
+; In theory: on the sphere, a vector in a given point has for direction the
+; tangent at the circle passing by the center of the Earth and by the vector.
 ; So, find the direction once the projection is done, it is find the tangent
-; to the curve representing the projection of the circle on the 2d plan at the 
-; point representing the projection of the starting point of the shere on the 
+; to the curve representing the projection of the circle on the 2d plan at the
+; point representing the projection of the starting point of the sphere on the
 ; 2d plan.
-; 
-; In practice we do no know the definition of the curve given by the projection 
+;
+; In practice we do no know the definition of the curve given by the projection
 ; of a circle so find its tangente in a point...
 ;
 ; What we do:
 ; In a 3d cartesian reference,
-;       a) We find coorinates of the point T (starting of the arrow) situed 
+;       a) We find coordinates of the point T (starting of the arrow) situed
 ;       on the sphere.
 ;       b) To each point T, we determine local directions defined by the grid
 ;       on this point and on which coordinates (u,v) of the vector refer to.
 ;       These local directions are defined by gradients of glam and gphi. Once
-;       we have obtain these directions, we considare them like orthogonal and
+;       we have obtain these directions, we consider them like orthogonal and
 ;       by norming them, we build an orthonormal reference (nu,nv) on which
 ;       coordinates (u,v) of the vector refer to. In the starting 3d cartesian
@@ -254,5 +244,5 @@
 ;       e) We pass coordinates of these points in normalized coordinates, then
 ;       in polar coordinates in order to find the angle and the direction they
-;       dertermine on the drawing.
+;       determine on the drawing.
 ;
 ;
@@ -280,6 +270,6 @@
 ; points u[i,j] and u[i-1,j] (resp v[i,j] and v[i,j-1]) which define, for each
 ; point on the sphere, local directions associated with u and v. These vectors
-; define a local orthonormal reference. 
-; These vectors are built in a cartesian reference (cv_coord). We have choose a 
+; define a local orthonormal reference.
+; These vectors are built in a cartesian reference (cv_coord). We have choose a
 ; unity radius of the Earth (unit).
 ;
@@ -294,5 +284,5 @@
    uy = reform(r[1, *], nxgd, nygd)
    uz = reform(r[2, *], nxgd, nygd)
-; calculation of nu 
+; calculation of nu
    nux = ux-shift(ux, 1, 0)
    nuy = uy-shift(uy, 1, 0)
@@ -311,5 +301,5 @@
    IF finite(glamv[0]*gphiv[0]) NE 0 THEN $
    coord_sphe = transpose([ [(glamv[indice2d])[*]], [(gphiv[indice2d])[*]], [radius[*]] ]) $
-   ELSE coord_sphe = transpose([ [(glamt[indice2d])[*]], [(gphif[indice2d])[*]], [radius[*]] ])                
+   ELSE coord_sphe = transpose([ [(glamt[indice2d])[*]], [(gphif[indice2d])[*]], [radius[*]] ])
    r = cv_coord(from_sphere=coord_sphe,/to_rect,/degrees)
 ; coordinates of points of the grid in cartesian.
@@ -317,5 +307,5 @@
    vy = reform(r[1, *], nxgd, nygd)
    vz = reform(r[2, *], nxgd, nygd)
-; calcul of nv 
+; calcul of nv
    nvx = vx-shift(vx, 0, 1)
    nvy = vy-shift(vy, 0, 1)
@@ -383,11 +373,11 @@
 ; Stage 1, e)
 ;
-   r = convert_coord(glam,gphi,/data,/to_normal) 
+   r = convert_coord(glam,gphi,/data,/to_normal)
    x0 = r[0, *]                 ; normal coordinates of the beginning of the array.
-   y0 = r[1, *]                 ; 
-   
-   r = convert_coord(glam1,gphi1,/data,/to_normal) 
+   y0 = r[1, *]                 ;
+
+   r = convert_coord(glam1,gphi1,/data,/to_normal)
    x1 = r[0, *]                 ; normal coordinates of the ending of the array (Before scaling).
-   y1 = r[1, *]                 ; 
+   y1 = r[1, *]                 ;
 ;
 ; tests to avoid that arrows be drawing out of the domain.
@@ -397,5 +387,5 @@
    if out[0] NE -1 THEN x0[out] = !values.f_nan
 ;
-; Following projections, there may are points at NaN when we pass in normal coordinates. 
+; Following projections, there may are points at NaN when we pass in normal coordinates.
 ; We delete these points.
 ;
@@ -422,7 +412,7 @@
 ; Now we take care of the norme...
 ;
-; Automatic putting at the scale 
-;
-   if NOT keyword_set(cmref) then BEGIN 
+; Automatic putting at the scale
+;
+   if NOT keyword_set(cmref) then BEGIN
       mipgsz = min(page_size, max = mapgsz)
       sizexfeuille = mipgsz*key_portrait+mapgsz*(1-key_portrait)
@@ -438,6 +428,6 @@
    cm = 1.*normeref/cmref
 ;
-; We modify the array norme to an element having the value cm be represented 
-; by a trait of lenght 1 cm on the paper. Norme contain the norme of vectors 
+; We modify the array norme to an element having the value cm be represented
+; by a trait of lenght 1 cm on the paper. Norme contain the norme of vectors
 ; we want to draw.
 ;
@@ -446,5 +436,5 @@
 ;
 ; Stage 3
-; Now that we have the angle and the norme, we recuperate coordinates in 
+; Now that we have the angle and the norme, we recuperate coordinates in
 ; rectangular and we draw arrows.
 ;
@@ -467,5 +457,5 @@
 ;
    if NOT keyword_set(novectref) then BEGIN
-      dx = cmref*cv_cm2normal(0) ; Lenght of the vector of reference in normalzed coordinates.
+      dx = cmref*cv_cm2normal(0) ; Length of the vector of reference in normalzed coordinates.
       if keyword_set(vectrefformat) then $
        normelegende = strtrim(string(normeref, format = vectrefformat), 1)+' ' $
@@ -490,11 +480,11 @@
 ;
 
-   if keyword_set(key_performance) NE 0 THEN print, 'temps vecteur', systime(1)-tempsun 
+   if keyword_set(key_performance) NE 0 THEN print, 'temps vecteur', systime(1)-tempsun
 ;------------------------------------------------------------
 ;------------------------------------------------------------
    return
-END 
-
-
-
-
+END
+
+
+
+
